Package org.eclipse.birt.report.model.api

# Class ScriptDataSourceHandle

java.lang.Object
org.eclipse.birt.report.model.api.DesignElementHandle
org.eclipse.birt.report.model.api.ReportElementHandle
org.eclipse.birt.report.model.api.DataSourceHandle
org.eclipse.birt.report.model.api.ScriptDataSourceHandle

All Implemented Interfaces:
  `org.eclipse.birt.report.model.elements.interfaces.IDataSourceModel`, `org.eclipse.birt.report.model.elements.interfaces.IDesignElementModel`, `org.eclipse.birt.report.model.elements.interfaces.IScriptDataSourceModel`

public class ScriptDataSourceHandle extends DataSourceHandle implements org.eclipse.birt.report.model.elements.interfaces.IScriptDataSourceModel
Represents a script data source. Script data source is one that is defined in JavaScript. The application is responsible for implementing two operations:

- Open: connect to the external system. Report an error if the connection fails.
- Close: drop the connection to the external system.

See Also:
  - `ScriptDataSource`

## Field Summary

### Fields inherited from class org.eclipse.birt.report.model.api.ReportElementHandle

`element`

### Fields inherited from class org.eclipse.birt.report.model.api.DesignElementHandle

`module`

### Fields inherited from interface org.eclipse.birt.report.model.elements.interfaces.IDataSourceModel

`AFTER_CLOSE_METHOD, AFTER_OPEN_METHOD, BEFORE_CLOSE_METHOD, BEFORE_OPEN_METHOD`

### Fields inherited from interface org.eclipse.birt.report.model.elements.interfaces.IDesignElementModel

`COMMENTS_PROP, CUSTOM_XML_PROP, DISPLAY_NAME_ID_PROP, DISPLAY_NAME_PROP, EVENT_HANDLER_CLASS_PROP, EXTENDS_PROP, FULL_LABEL, ID_SUFFIX, NAME_PROP, NEW_HANDLER_ON_EACH_EVENT_PROP, NO_SLOT, PROPERTY_MASKS_PROP, REF_TEMPLATE_PARAMETER_PROP, SHORT_LABEL, USER_LABEL, USER_PROPERTIES_PROP, VIEW_ACTION_PROP`

### Fields inherited from interface org.eclipse.birt.report.model.elements.interfaces.IScriptDataSourceModel

`CLOSE_METHOD, OPEN_METHOD`

## Constructor Summary

Constructors
Constructor
Description
`ScriptDataSourceHandle(org.eclipse.birt.report.model.core.Module module, org.eclipse.birt.report.model.core.DesignElement element)`
Constructs a handle for script data source.

## Method Summary

Modifier and Type
Method
Description
`String`
`getClose()`
Returns the script name for closing data connection.
`String`
`getOpen()`
Returns the script name for opening data connection.
`void`
`setClose(String value)`
Sets the script name for closing data connection.
`void`
`setOpen(String value)`
Sets the script for opening data connection.

### Methods inherited from class org.eclipse.birt.report.model.api.DataSourceHandle

`getAfterClose, getAfterOpen, getBeforeClose, getBeforeOpen, setAfterClose, setAfterOpen, setBeforeClose, setBeforeOpen`

### Methods inherited from class org.eclipse.birt.report.model.api.ReportElementHandle

`getComments, getCustomXml, getDisplayName, getDisplayNameKey, getElement, getPropertyMask, isValidLayoutForCompoundElement, isValidReferenceForCompoundElement, propertyMaskIterator, setComments, setCustomXml, setDisplayName, setDisplayNameKey, setPropertyMask`

### Methods inherited from class org.eclipse.birt.report.model.api.DesignElementHandle

`add, add, addElement, addElement, addListener, addUserPropertyDefn, cachePropertyHandles, canContain, canContain, canContain, canContain, canDrop, canEdit, canTransformToTemplate, clearAllProperties, clearContents, clearProperty, clientsIterator, copy, copyPropertyTo, createTemplateElement, derivedIterator, doSort, drop, drop, drop, dropAndClear, dropAndClear, dropAndClear, dropUserPropertyDefn, findContentSlot, getBooleanProperty, getChoices, getColorProperty, getContainer, getContainerPropertyHandle, getContainerSlotHandle, getContent, getContentCount, getContents, getDefn, getDesign, getDesignHandle, getDimensionProperty, getDisplayLabel, getDisplayLabel, getDisplayProperty, getEffectiveModule, getElementFactory, getElementProperty, getEventHandlerClass, getExpressionProperty, getExtends, getExternalizedValue, getExternalizedValue, getExternalizedValue, getFactoryElementHandle, getFactoryPropertyHandle, getFloatProperty, getFontProperty, getFullName, getHostViewHandle, getID, getIndex, getIntProperty, getListProperty, getListProperty, getMethods, getModule, getModuleHandle, getName, getNumberProperty, getPrivateStyle, getProperty, getPropertyBinding, getPropertyBindingExpression, getPropertyBindings, getPropertyDefn, getPropertyHandle, getPropertyIterator, getQualifiedName, getRoot, getSemanticErrors, getSlot, getStringProperty, getStyle, getTagType, getUserProperties, getUserPropertyDefnHandle, getXPath, hasLocalProperties, hasSemanticError, initializeSlotHandles, isDirectionRTL, isInTemplateParameter, isTemplateParameterValue, isValid, localize, move, move, moveTo, moveTo, moveTo, moveTo, newHandlerOnEachEvent, paste, paste, paste, paste, removeListener, revertToReportItem, revertToTemplate, semanticCheck, setBooleanProperty, setEncryption, setEventHandlerClass, setExpressionProperty, setExtends, setExtendsElement, setExtendsName, setFloatProperty, setIntProperty, setName, setNewHandlerOnEachEvent, setNumberProperty, setProperties, setProperty, setPropertyBinding, setPropertyBinding, setStringProperty, setStyle, setStyleElement, setStyleName, setValid, shift, showError, slotsIterator`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ScriptDataSourceHandle

public ScriptDataSourceHandle(org.eclipse.birt.report.model.core.Module module, org.eclipse.birt.report.model.core.DesignElement element)
Constructs a handle for script data source.

Parameters:
  `module` - the module
  `element` - the script data source element

## Method Details

### setOpen

public void setOpen(String value) throws SemanticException
Sets the script for opening data connection.

Parameters:
  `value` - the script to set.
Throws:
  `SemanticException` - if the property is locked.

### getOpen

public String getOpen()
Returns the script name for opening data connection.

Returns:
  the script name for opening data connection.

### setClose

public void setClose(String value) throws SemanticException
Sets the script name for closing data connection.

Parameters:
  `value` - the script name to set.
Throws:
  `SemanticException` - if the property is locked.

### getClose

public String getClose()
Returns the script name for closing data connection.

Returns:
  the script name for closing data connection.